#include "StructView.h"
#include <QGridLayout>
#include <QLabel>
#include <QComboBox>
#include <QPushButton>
#include <QSplitter>
#include <QGroupBox>
#include <QTabWidget>

StructuralRuleView::StructuralRuleView(QWidget* p /*= nullptr*/)
	:QWidget(p),
	_sequence_view(new SequenceRulesView(this)),
	_configs_stack(new QStackedWidget(this))
{
	auto layout = new QVBoxLayout(this);
	auto split = new QSplitter(Qt::Horizontal, this);
	layout->addWidget(split);

	split->addWidget(_sequence_view);
	split->addWidget(_configs_stack);

	_configs_stack->addWidget(new EmptyConfiguration(this));
}

EmptyConfiguration::EmptyConfiguration(QWidget* p/*=nullptr*/)
{
	auto layout = new QVBoxLayout(this);
	auto label = new QLabel(u8"ǰ", this);
	label->setAlignment(Qt::AlignCenter);
	layout->addWidget(label);
}
